petsc-3.10.5 2019-03-28
Report Typos and Errors

# PCGAMGSetSymGraph

Symmetrize the graph before computing the aggregation. Some algorithms require the graph be symmetric

### Synopsis

    #include "petscpc.h"
    PetscErrorCode PCGAMGSetSymGraph(PC pc, PetscBool n)

Not Collective on PC

### Input Parameters

| pc | - the preconditioner context
| n | - PETSC_TRUE or PETSC_FALSE

### Options Database Key

| -pc_gamg_sym_graph <true,default=false> | - symmetrize the graph before computing the aggregation

### See Also

PCGAMGSetSquareGraph()

### Level

intermediate

### Location

src/ksp/pc/impls/gamg/agg.c

### Implementations

PCGAMGSetSymGraph_AGG in src/ksp/pc/impls/gamg/agg.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages